Bug 49442

Summary: Spatial Navigation: Code cleanup
Product: WebKit Reporter: Yael <yael>
Component: AccessibilityAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, tonikitoo
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: All   
Bug Depends on: 49382    
Bug Blocks: 46905    
Attachments:
Description Flags
Patch
none
Patch none

Description Yael 2010-11-12 07:05:06 PST
The patch at https://bugs.webkit.org/show_bug.cgi?id=49382 is already very big, so I splitted up adding new code and removing code that is no longer in use.
This bug is for the second step, after https://bugs.webkit.org/show_bug.cgi?id=49382 is committed, to remove code that is no longer used.
A patch is coming soon, but it cannot be built before https://bugs.webkit.org/show_bug.cgi?id=49382 is committed.
Comment 1 Yael 2010-11-12 07:12:32 PST
Created attachment 73739 [details]
Patch

This patch is to remove unused code after https://bugs.webkit.org/show_bug.cgi?id=49382 is committed.
Comment 2 Yael 2010-11-22 07:19:30 PST
Created attachment 74551 [details]
Patch

Rebaseline the patch, and set for review.
Comment 3 Antonio Gomes 2010-11-22 07:22:13 PST
Comment on attachment 74551 [details]
Patch

As soon as the bots are green.
Comment 4 WebKit Commit Bot 2010-11-22 11:34:58 PST
Comment on attachment 74551 [details]
Patch

Rejecting patch 74551 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-cq-sl', 'build', '--no-clean', '--no-update', '--build-style=both']" exit_code: 2
Last 500 characters of output:
nv XCODE_VERSION_MAJOR 0300
    setenv XCODE_VERSION_MINOR 0320
    setenv YACC /Developer/usr/bin/yacc
    /bin/sh -c /Projects/CommitQueue/WebKitBuild/WebCore.build/Debug/WebCore.build/Script-5DF50887116F3077005202AB.sh

** BUILD FAILED **


The following build commands failed:
WebCore:
	CompileC /Projects/CommitQueue/WebKitBuild/WebCore.build/Debug/WebCore.build/Objects-normal/x86_64/Page.o /Projects/CommitQueue/WebCore/page/Page.cpp normal x86_64 c++ com.apple.compilers.gcc.4_2
(1 failure)


Full output: http://queues.webkit.org/results/6172136
Comment 5 Yael 2010-11-22 12:57:58 PST
Comment on attachment 74551 [details]
Patch

Let's try the commit queue again. The "broken pipe" error seems unrelated to the patch itself.
Comment 6 WebKit Commit Bot 2010-11-22 19:55:13 PST
Comment on attachment 74551 [details]
Patch

Rejecting patch 74551 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-cq-sl', 'build', '--no-clean', '--no-update', '--build-style=both']" exit_code: 2
Last 500 characters of output:
ing build commands failed:
WebCore:
	CompileC /Projects/CommitQueue/WebKitBuild/WebCore.build/Release/WebCore.build/Objects-normal/x86_64/SelectionController.o /Projects/CommitQueue/WebCore/editing/SelectionController.cpp normal x86_64 c++ com.apple.compilers.gcc.4_2
	CompileC /Projects/CommitQueue/WebKitBuild/WebCore.build/Release/WebCore.build/Objects-normal/x86_64/RenderLayer.o /Projects/CommitQueue/WebCore/rendering/RenderLayer.cpp normal x86_64 c++ com.apple.compilers.gcc.4_2
(2 failures)


Full output: http://queues.webkit.org/results/6399008
Comment 7 WebKit Commit Bot 2010-11-23 04:57:37 PST
Comment on attachment 74551 [details]
Patch

Clearing flags on attachment: 74551

Committed r72596: <http://trac.webkit.org/changeset/72596>
Comment 8 WebKit Commit Bot 2010-11-23 04:57:43 PST
All reviewed patches have been landed.  Closing bug.